Bug 830051 - [Doc] virsh doc has error/omission on device commands and nodedev commands
[Doc] virsh doc has error/omission on device commands and nodedev commands
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Michal Privoznik
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 01:29 EDT by weizhang
Modified: 2013-02-21 02:16 EST (History)
6 users (show)

See Also:
Fixed In Version: libvirt-0.9.13-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:16:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weizhang 2012-06-08 01:29:02 EDT
Description of problem:
When review man virsh doc for device commands and nodedev commands, find some problems
1. attach-disk parameter "type" in virsh doc said that "type can indicate cdrom or floppy as alternative to the disk default", omit another allowed type "lun"
2. attach-disk parameter "target" in virsh doc said that "source and target are paths for the files and devices.", the target should be the logical device name, but not path
3. For attach-device, detach-device, detach-disk, detach-interface, omit list parameter --persistent in virsh doc

Version-Release number of selected component (if applicable):
libvirt-0.9.10-21.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.man virsh, and find the device and nodedev commands part
  
Actual results:


Expected results:


Additional info:
Comment 1 weizhang 2012-06-08 03:02:44 EDT
Also, for attach-interface libvirt will ignore the target name which begin with vnet, I think it should be mentioned in man page
Comment 2 Michal Privoznik 2012-06-18 07:29:40 EDT
I've proposed patch:

https://www.redhat.com/archives/libvir-list/2012-June/msg00717.html

Except --persistent which is just an alias to --config. Users are advised to use the new --config therefore we don't want to expose --persistent much:

https://www.redhat.com/archives/libvir-list/2012-March/msg00277.html

Therefore I am moving this to POST.
Comment 3 Michal Privoznik 2012-06-18 09:24:22 EDT
Pushed upstream:

commit cc75fcc90f60940a4979d15ff61396393aa3f0b6
Author:     Michal Privoznik <mprivozn@redhat.com>
AuthorDate: Mon Jun 18 13:14:49 2012 +0200
Commit:     Michal Privoznik <mprivozn@redhat.com>
CommitDate: Mon Jun 18 13:14:49 2012 +0200

    virsh: Tweak attach-* documentation
    
    as we are missing:
    attach-disk: --type can accept 'lun' too, not just cdrom or floppy.
    attach-disk: --target specify logical device name, not path
    attach-interface: --target silently drops strings with vnet* prefix
Comment 6 yuping zhang 2012-07-24 02:12:41 EDT
Verified this issue with:
libvirt-client-0.9.13-3.el6.x86_64
libvirt-0.9.13-3.el6.x86_64
libvirt-python-0.9.13-3.el6.x86_64

#man virsh
1.attach-disk
...
 target controls the bus or device under which the disk is exposed to the guest OS. It indicates the "logical" device name.
...
type can indicate lun, cdrom or floppy as alternative to thedisk default, although this use only replaces the media within the existing virtual cdrom or floppy device; 
...

2.attach-device, detach-device, detach-disk, detach-interface
...
 For compatibility purposes, --persistent is an alias of --config. 
...

3.For attach-interface 
...
 target allows to indicate the target device in the guest. Names starting with ’vnet’ are considered as auto-generated an hence blanked out. 
...

So change the bug status to VERIFIED.
Comment 7 errata-xmlrpc 2013-02-21 02:16:43 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.